Subject: bug#19749: orpheus does not build on mips64

From: Mark H Weaver <[email-masked]>
Date: Thu, 05 Feb 2015 11:08:11 -0500

Andreas Enge <[email-masked]> writes:

> On Tue, Feb 03, 2015 at 01:04:38AM -0500, Mark H Weaver wrote:
>> The config.guess problem can be easily worked around by passing
>> --build=<triplet> to configure.  I would suggest something similar to
>> what I did in the gmp package to get it working on armhf:
>>    (arguments `(#:configure-flags
>>                 '(;; Build a "fat binary", with routines for several
>>                   ;; sub-architectures.
>>                   "--enable-fat"
>>                   "--enable-cxx"
>> 
>>                   ;; FIXME: gmp-6.0.0a's config.guess fails on
>>                   ;; multi-core armhf systems.
>>                   ,@(if (%current-target-system)
>>                         '()
>>                         (let ((triplet
>>                                (nix-system->gnu-triplet (%current-system))))
>>                           (list (string-append "--build=" triplet)))))))
>> Would you like to try this?
>
> Alternatively, could we not simply copy a newer config.guess as a patch
> into the source tree? If yes, what would be preferable?

The patch would be quite large.  I think it's cleaner to pass --build.

In fact, I think we should pass --build to _all_ builds by default,
because on several architectures config.guess looks at /proc/cpuinfo and
the output of uname to optimize for the particular CPU in the build
machine, which I think we don't want.  However, Ludovic resisted and I
haven't yet had time to follow up on that.

    Thanks,
      Mark